Notifications

Update External Notification

PATCH
/orgs/{organizationId}/notifications/external/{id}

Updates the status, timestamps or content of an externally registered notification. Only notifications you registered yourself, unless you hold notifications:external:manage-others. Notifications sent by Tillor cannot be changed.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string
Length1 <= length

Request Body

application/json
  1. body
name?string
Length1 <= length <= 120
email?
status?string
Value in"SENT""FAILED""BOUNCED""COMPLAINED"
sentAt?string
Formatdate-time
readAt?|null
clickedAt?|null
errorMessage?|null

Response Body

OK

application/json
  1. response
curl -X PATCH 'https://api.tillor.eu/orgs/string/notifications/external/string' \  -H 'Content-Type: application/json' \  -d '{}'
null